SUSE SLED12 Security Update : libssh (SUSE-SU-2015:1707-2)

high Nessus Plugin ID 86346

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The encryption library libssh was updated to fix one security issue.

The following vulnerability was fixed :

- CVE-2015-3146: Unauthenticated remote attackers could crash the server or client with specially crafted packages.

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 12 :

zypper in -t patch SUSE-SLE-SDK-12-2015-660=1

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-660=1

To bring your system up-to-date, use 'zypper patch'.

See Also

https://bugzilla.suse.com/show_bug.cgi?id=928323

https://www.suse.com/security/cve/CVE-2015-3146/

http://www.nessus.org/u?b2e96fcb

Plugin Details

Severity: High

ID: 86346

File Name: suse_SU-2015-1707-2.nasl

Version: 2.13

Type: local

Agent: unix

Published: 10/12/2015

Updated: 1/6/2021

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 3.7

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:libssh-debugsource, p-cpe:/a:novell:suse_linux:libssh4, p-cpe:/a:novell:suse_linux:libssh4-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 10/1/2015

Vulnerability Publication Date: 4/13/2016

Reference Information

CVE: CVE-2015-3146